> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chronosphere.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipeline metadata

Use the information on this page to access pipeline metadata.

## Get pipeline IDs

After you [create a pipeline](/ingest/pipeline/v2/build/create-modify), Telemetry
Pipeline assigns that pipeline a unique numerical ID.

To retrieve a list of IDs for all pipelines associated with a
[Core Instance](/ingest/pipeline/v2/concepts#core-instance),
run the following [Pipeline CLI](/ingest/pipeline/pipeline-cli) command:

```shell theme={null}
calyptia get pipelines --core-instance INSTANCE --show-ids
```

Replace *`INSTANCE`* with the name of your Core Instance.

## Back up pipeline configuration files

> Requires Pipeline CLI version 3.17.0 or later.

You can run the following script to back up the [configuration files](/ingest/pipeline/v2/configure/config-files)
for each pipeline across all of your Core Instances:

```shell theme={null}
curl -sSfL https://raw.githubusercontent.com/chronosphereio/calyptia-cli/refs/heads/main/dump-all-pipelines.sh | bash
```

The resulting configuration files are stored in your current working directory,
with a subfolder for each Core Instance that contains the configuration files
for all of its associated pipelines.
